---
title: "The caller's inbox of questions and pending approvals"
url: https://hexelstudio.com/docs/api/harness/attention/list
---

# The caller's inbox of questions and pending approvals

**GET** `/harness/attention`

Titan's pending approvals for you are included when you send your Titan user-route token.

## Headers

- `Authorization: string`

  `Bearer <token>`. A Hexel Studio access token for your organization.

- `X-Workspace-Id: string`

  The workspace the request acts in (`ws_...`). It never grants access by itself.

- `X-Environment-Id: string`

  The environment the request acts in (`env_...`). It never grants access by itself.

## Returns

`200` The inbox, oldest first. (`AttentionInbox`)

- `items: array of AttentionItem`

  - `capability: optional string`

  - `created_at: string`

  - `environment_id: optional string`

  - `expires_at: optional string`

  - `id: string`

  - `kind: string`

  - `operation: optional string`

  - `prompt: optional string`

  - `prompt_digest: optional string`

  - `requester_agent_id: optional string`

  - `resource_id: optional string`

  - `resource_type: optional string`

  - `run_id: optional string`

  - `source: string`

  - `state: optional string`

  - `task_id: optional string`

  - `workspace_id: optional string`

- `sources: map[string]`

## Errors

- `default` 

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/harness/attention' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'X-Workspace-Id: X_WORKSPACE_ID' \
  --header 'X-Environment-Id: X_ENVIRONMENT_ID'
```

### Response (200)

```json
{
  "items": [
    {
      "capability": "string",
      "created_at": "2026-01-01T00:00:00Z",
      "environment_id": "string",
      "expires_at": "2026-01-01T00:00:00Z",
      "id": "string",
      "kind": "string",
      "operation": "string",
      "prompt": "string",
      "prompt_digest": "string",
      "requester_agent_id": "string",
      "resource_id": "string",
      "resource_type": "string",
      "run_id": "string",
      "source": "string",
      "state": "string",
      "task_id": "string",
      "workspace_id": "string"
    }
  ],
  "sources": {
    "key": "string"
  }
}
```
